Skip to main content
POST
/
render-template
cURL
curl \
  -X POST 'MEILISEARCH_URL/render-template' \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "template": {
      "kind": "inlineDocumentTemplate",
      "inline": "An inline document template rendered on {{doc.id}}"
    },
    "input": {
      "kind": "inlineDocument",
      "inline": { "id": "this document" }
    }
  }'
{
  "template": "{{ doc.breed }} called {{ doc.name }}",
  "rendered": "A Jack Russell called Iko"
}

Authorizations

Authorization
string
header
required

An API key is a token that you provide when making API calls. Read more about how to secure your project.

Include the API key to the Authorization header, for instance:

-H 'Authorization: Bearer 6436fc5237b0d6e0d64253fbaac21d135012ecf1'

If you use a SDK, ensure you instantiate the client with the API key, for instance with JS SDK:

const client = new MeiliSearch({
host: 'MEILISEARCH_URL',
apiKey: '6436fc5237b0d6e0d64253fbaac21d135012ecf1'
});

Body

application/json
template
object
required

Template/fragment to fetch for rendering.

Use its kind parameter to determine the type of template or fragment to fetch.

input
object

Input for the template to fetch.

Input is injected in the template to render the final string/JSON object.

If null or missing, the template will not be rendered.

Use its kind parameter to determine the type of document to fetch.

Response

The rendered result is returned along with the template

template
any
required

Unrendered template or fragment, fetched in index or echoed back from inline template in request.

rendered
any

Result of rendering the template by injecting the input to the template.

null if input was null or missing in the request.